package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.entryconfig.app.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class DataConfig extends CoreBillBase implements IDataConfig
{
    public DataConfig()
    {
        super();
        registerInterface(IDataConfig.class, this);
    }
    public DataConfig(Context ctx)
    {
        super(ctx);
        registerInterface(IDataConfig.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C05F068B");
    }
    private DataConfigController getController() throws BOSException
    {
        return (DataConfigController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public DataConfigCollection getDataConfigCollection() throws BOSException
    {
        try {
            return getController().getDataConfigCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public DataConfigCollection getDataConfigCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDataConfigCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public DataConfigCollection getDataConfigCollection(String oql) throws BOSException
    {
        try {
            return getController().getDataConfigCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public DataConfigInfo getDataConfigInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDataConfigInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public DataConfigInfo getDataConfigInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDataConfigInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public DataConfigInfo getDataConfigInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDataConfigInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}